Name:		rkward
Version:	0.8.1
Release:	%mkrel 1
Summary:	RKWard aims to provide an easily extensible, easy to use IDE/GUI for R-language
License:	GPLv2+
Group:		Sciences/Mathematics
Url:		https://rkward.kde.org/
Source0:	https://download.kde.org/stable/rkward/%{version}/%{name}-%{version}.tar.gz
# FIXME use/update qt6_qtwebengine_arches
# 32-bit arches not supported (https://bugreports.qt.io/browse/QTBUG-102143)
ExclusiveArch:	aarch64 x86_64

BuildRequires:	kf6-rpm-macros

BuildRequires:	cmake(Qt6Core5Compat)
BuildRequires:	cmake(Qt6Core)
BuildRequires:	cmake(Qt6DBus)
BuildRequires:	cmake(Qt6Gui)
BuildRequires:	cmake(Qt6Network)
BuildRequires:	cmake(Qt6PrintSupport)
BuildRequires:	cmake(Qt6WebEngineWidgets)
BuildRequires:	cmake(Qt6Widgets)
BuildRequires:	cmake(Qt6Xml)

BuildRequires:	cmake(KF6CoreAddons)
BuildRequires:	cmake(KF6DocTools)
BuildRequires:	cmake(KF6I18n)
BuildRequires:	cmake(KF6XmlGui)
BuildRequires:	cmake(KF6TextEditor)
BuildRequires:	cmake(KF6WidgetsAddons)
BuildRequires:	cmake(KF6Parts)
BuildRequires:	cmake(KF6Config)
BuildRequires:	cmake(KF6Notifications)
BuildRequires:	cmake(KF6WindowSystem)
BuildRequires:	cmake(KF6Archive)
BuildRequires:	cmake(KF6BreezeIcons)
BuildRequires:	cmake(KF6Crash)

BuildRequires:	R-base

Requires:	R-base
Requires:	plasma-workspace

%description
RKWard is meant to become an easy to use, transparent front-end to
the R-language, a very powerful, yet hard-to-get-into scripting-language
with a strong focus on statistic functions. It will not only provide a
convenient user-interface, however, but also take care of seamless
integration with an office-suite. Practical statistics is not just about
calculating, after all, but also about documenting and ultimately
publishing the results.

%prep
%autosetup -p1

%build
%cmake_kf6
%cmake_build

%install
%cmake_install

%find_lang %{name} --with-html --with-man --all-name

# FIXME create symlinks for rkward.frontend and rkward.backend so that they can be found
ln -st %{buildroot}%{_kf6_bindir} %{_libexecdir}/rkward.frontend
ln -st %{buildroot}%{_kf6_bindir} %{_libexecdir}/rkward.rbackend

%files -f %{name}.lang
%{_kf6_bindir}/%{name}*
%{_kf6_iconsdir}/hicolor/*/*/%{name}.png
%{_kf6_iconsdir}/hicolor/scalable/*/%{name}.svgz
%{_kf6_datadir}/%{name}/
%{_kf6_datadir}/ktexteditor_snippets/
%{_kf6_libdir}/librkward.rbackend.lib.so
%{_kf6_datadir}/kio/servicemenus/rkward.protocol
%{_kf6_applicationsdir}/org.kde.%{name}*.desktop
%{_libexecdir}/%{name}.*
%{_kf6_mandir}/man1/%{name}.*
%{_kf6_datadir}/mime/packages/vnd.%{name}.r.xml
%{_kf6_metainfodir}/org.kde.%{name}.metainfo.xml
%{_kf6_datadir}/mime/packages/vnd.kde.rkward-output.xml
%{_kf6_datadir}/mime/packages/vnd.kde.rmarkdown.xml


%changelog
* Wed Apr 23 2025 daviddavid <daviddavid> 0.8.1-1.mga10
+ Revision: 2178432
- new version: 0.8.1

* Thu Jul 25 2024 daviddavid <daviddavid> 0.8.0-1.mga10
+ Revision: 2082588
- new version: 0.8.0
- switch to Qt6/KF6

* Tue Mar 21 2023 daviddavid <daviddavid> 0.7.5-2.mga9
+ Revision: 1949937
- drop no more needed by the project KF5WebKit build dependency

* Sat Nov 12 2022 daviddavid <daviddavid> 0.7.5-1.mga9
+ Revision: 1905959
- new version: 0.7.5

* Sat Sep 10 2022 neoclust <neoclust> 0.7.4-1.mga9
+ Revision: 1886339
- New version 0.7.4

* Wed Apr 06 2022 umeabot <umeabot> 0.7.2-3.mga9
+ Revision: 1846145
- Mageia 9 Mass Rebuild

* Thu Dec 17 2020 umeabot <umeabot> 0.7.2-2.mga8
+ Revision: 1659758
- Rebuild for new Qt5

* Mon Oct 19 2020 daviddavid <daviddavid> 0.7.2-1.mga8
+ Revision: 1636932
- new version: 0.7.2

* Wed May 27 2020 daviddavid <daviddavid> 0.7.1b-1.mga8
+ Revision: 1588142
- new version: 0.7.1b

* Wed Feb 19 2020 umeabot <umeabot> 0.7.1-2.mga8
+ Revision: 1544544
- Mageia 8 Mass Rebuild

* Sun Jan 26 2020 daviddavid <daviddavid> 0.7.1-1.mga8
+ Revision: 1483236
- new version: 0.7.1
+ wally <wally>
- build with new cmake macros

* Mon Apr 01 2019 umeabot <umeabot> 0.7.0b-5.mga7
+ Revision: 1384705
- Qt5 Rebuild

* Thu Oct 11 2018 wally <wally> 0.7.0b-4.mga7
+ Revision: 1319573
- rebuild with fixed R-base

* Sun Sep 23 2018 umeabot <umeabot> 0.7.0b-3.mga7
+ Revision: 1300836
- Mageia 7 Mass Rebuild

* Wed Apr 18 2018 daviddavid <daviddavid> 0.7.0b-2.mga7
+ Revision: 1219883
- new version: 0.7.0b

* Sat Jan 07 2017 daviddavid <daviddavid> 0.7.0-0.git20161025.1.mga6
+ Revision: 1080408
- new version: 0.7.0 (first git snapshot from Kf5 branch)
- port to Kf5/Qt5
- update URL

* Thu May 12 2016 daviddavid <daviddavid> 0.6.5-1.mga6
+ Revision: 1014111
- new version: 0.6.5
- remove merged upstream patch
- update Source URL

* Mon Mar 28 2016 pterjan <pterjan> 0.6.3-4.mga6
+ Revision: 995821
- Add upstream patch to fix build on arm
- Add upstream patch to fix build on arm

* Sun Mar 20 2016 luigiwalser <luigiwalser> 0.6.3-3.mga6
+ Revision: 993380
- drop invalid dep katepart

* Fri Feb 19 2016 umeabot <umeabot> 0.6.3-2.mga6
+ Revision: 969275
- Mageia 6 Mass Rebuild

* Tue Aug 18 2015 anaselli <anaselli> 0.6.3-1.mga6
+ Revision: 865625
- new version 0.6.3

* Wed Oct 15 2014 umeabot <umeabot> 0.6.1-4.mga5
+ Revision: 749012
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.6.1-3.mga5
+ Revision: 688678
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 0.6.1-2.mga4
+ Revision: 529064
- Mageia 4 Mass Rebuild

* Tue Jul 02 2013 dams <dams> 0.6.1-1.mga4
+ Revision: 449587
- fix .desktop
- new version 0.6.1

* Mon Jan 14 2013 umeabot <umeabot> 0.6.0-2.mga3
+ Revision: 380353
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Nov 01 2012 fwang <fwang> 0.6.0-1.mga3
+ Revision: 311902
- new version 0.6.0

* Sat Jan 21 2012 malo <malo> 0.5.7-5.mga2
+ Revision: 199268
- Bump rel

* Mon Jan 16 2012 matteo <matteo> 0.5.7-4.mga2
+ Revision: 196997
- added katepart as required (mandatory)

* Mon Jan 16 2012 matteo <matteo> 0.5.7-3.mga2
+ Revision: 196876
- rebuild needed by the new R version

* Tue Oct 25 2011 matteo <matteo> 0.5.7-2.mga2
+ Revision: 157911
- spec file reviewed

* Mon Oct 24 2011 fwang <fwang> 0.5.7-1.mga2
+ Revision: 157652
- update file list
- update file list
- new version 0.5.7

* Sun Sep 18 2011 matteo <matteo> 0.5.6-3.mga2
+ Revision: 145076
- fixed some libdir macro
- fixed some kde macro; restored education category from desktop file

* Sun Sep 18 2011 matteo <matteo> 0.5.6-2.mga2
+ Revision: 144918
- fixed missing br
- spec file cleaned

* Mon Sep 05 2011 matteo <matteo> 0.5.6-1.mga2
+ Revision: 138885
- replaced some occurence of rkward with %%name macro
- changed paths into %%file section; replaced -C build/ with -C build
- fixed missing clean in install section; switched from cmake to cmake_kde4 macro
- fixed typo in Summary
- imported package rkward

